Overview
PUT
/persona/personas/{id}personaUpdate personas
Replace a record in personas by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- slugoptionalstring
- nameoptionalstring
- descriptionoptionalstring?
- visibilityoptionalstring
- modeloptionalstring
- serviceIdoptionalstring?
- appIdoptionalstring?
- avatarAttachmentIdoptionalstring?
- modelPromptoptionalstring
- voiceoptionalstring?
- characteroptionalstring?
- examplesoptionalstring?
Example
{
"slug": "string",
"name": "string",
"description": "string",
"visibility": "string",
"model": "string",
"serviceId": "string",
"appId": "string",
"avatarAttachmentId": "string",
"modelPrompt": "string",
"voice": "string",
"character": "string",
"examples": "string"
}Responses
200
personas
- idstring
- userIdstring?
- ownerKindstring
- ownerIdstring
- slugstring
- namestring
- descriptionstring?
- visibilitystring
- modelstring
- serviceIdstring?
- appIdstring?
- avatarAttachmentIdstring?
- modelPromptstring
- voicestring?
- characterstring?
- examplesstring?
- createdAtstring
- updatedAtstring
- ownedEcosystemIdoptionalstring?
Example
{
"id": "string",
"userId": "string",
"ownerKind": "string",
"ownerId": "string",
"slug": "string",
"name": "string",
"description": "string",
"visibility": "string",
"model": "string",
"serviceId": "string",
"appId": "string",
"avatarAttachmentId": "string",
"modelPrompt": "string",
"voice": "string",
"character": "string",
"examples": "string",
"createdAt": "string",
"updatedAt": "string",
"ownedEcosystemId": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/persona/personas/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"slug": "string",
"name": "string",
"description": "string",
"visibility": "string",
"model": "string",
"serviceId": "string",
"appId": "string",
"avatarAttachmentId": "string",
"modelPrompt": "string",
"voice": "string",
"character": "string",
"examples": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona/personas/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"slug\": \"string\",\n \"name\": \"string\",\n \"description\": \"string\",\n \"visibility\": \"string\",\n \"model\": \"string\",\n \"serviceId\": \"string\",\n \"appId\": \"string\",\n \"avatarAttachmentId\": \"string\",\n \"modelPrompt\": \"string\",\n \"voice\": \"string\",\n \"character\": \"string\",\n \"examples\": \"string\"\n}",
});
const data = await res.json();